=== debian/changelog ===
lua-apr (0.14.2-2) unstable; urgency=low

  * fixed copyright file with the right Source: field

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 23 Feb 2011 23:45:12 +0100

lua-apr (0.14.2-1) unstable; urgency=low

  * Initial release. (Closes: #614121)
  * test.patch to skip the wrong test for apr.user_homepath_get(user) ==
    apr.env_get 'HOME' 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 22 Feb 2011 19:04:22 +0100
