=== debian/control ===
Source: lua-apr
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), lua5.1-policy-dev (>= 27), libapr1-dev, libaprutil1-dev, lua5.1, libaprutil1-dbd-sqlite3
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-expat
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-expat
Homepage: http://peterodding.com/code/lua/apr/

Package: liblua5.1-apr1
Architecture: any
Depends: ${shlibs:Depends}
Description: Apache Portable Runtime library for the Lua language version 5.1
 This package contains the bindings for the Apache Portable Runtime library.

Package: liblua5.1-apr-dev
Architecture: any
Depends: liblua5.1-apr1 (= ${binary:Version})
Section: libdevel
Description: Lua development files for the Apache Portable Runtime library
 This package contains the development files of the Apache Portable Runtime
 library lua5.1 bindings, useful to create a statically linked binary (like a
 C application or a standalone Lua interpreter).  
 Documentation is also shipped within this package.
