=== debian/changelog ===
lua-apr (0.17.1-1) unstable; urgency=low

  * New upstream release
  * Depend on lua5.1-policy >= 28 to pass arguments to the test process
  * Removed test.patch, no more needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 09 May 2011 16:20:33 +0200
