=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), lua5.1-policy-dev (>= 27), libapr1-dev, libaprutil1-dev, lua5.1, libaprutil1-dbd-sqlite3
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), lua5.1-policy-dev (>= 28), libapr1-dev, libaprutil1-dev, lua5.1, libaprutil1-dbd-sqlite3, libapreq2-dev
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-expat
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-expat
