=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/lua.mk

pre-build::
	make -f Makefile src/errno.c
