=== debian/changelog ===
lua-apr (0.17.5.1-1) unstable; urgency=low

  * New upstream release
  * Build-depend on lua5.1-policy >= 29 to run tests under catchsegv

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 15 May 2011 21:20:56 +0200
