## lua-apr 0.18.2

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # This is the UNIX makefile for the Lua/APR binding.
 #
 # Author: Peter Odding <peter@peterodding.com>
-# Last Change: May 15, 2011
+# Last Change: June 16, 2011
 # Homepage: http://peterodding.com/code/lua/apr/
 # License: MIT
 #
 # This makefile has been tested on Ubuntu Linux 10.04 after installing the
 # external dependencies using the `install_deps' target (see below).
 
-VERSION = 0.17.5
-RELEASE = 1
+VERSION = $(shell grep _VERSION src/apr.lua | cut "-d'" -f2)
+RELEASE = $(shell grep _RELEASE src/apr.lua | cut "-d'" -f2)
 PACKAGE = lua-apr-$(VERSION)-$(RELEASE)
 
 # Based on http://www.luarocks.org/en/Recommended_practices_for_Makefiles
@@ -64,11 +64,11 @@
 # If you're building Lua/APR with LuaRocks it should locate the external
 # dependencies automatically, otherwise we fall back to `pkg-config'. Some
 # complicating factors: On Debian/Ubuntu the Lua pkg-config file is called
-# `lua5.1', on Arch Linux it's just `lua'. Also `pkg-config --cflags apr-1'
-# doesn't include -pthread while `apr-1-config --cflags' does include this flag
-# and I suspect we need it to get the Debian hurd-i386 build to work. See also
-# issue #5 on GitHub: https://github.com/xolox/lua-apr/issues/5
-CFLAGS += $(shell pkg-config --cflags lua5.1 --silence-errors || pkg-config --cflags lua) \
+# `lua5.1', on FreeBSD it's `lua-5.1' and on Arch Linux it's just `lua'. Also
+# `pkg-config --cflags apr-1' doesn't include -pthread while `apr-1-config
+# --cflags' does include this flag and this seems to be needed on some
+# platforms. See also issue #5 on GitHub: https://github.com/xolox/lua-apr/issues/5
+CFLAGS += $(shell pkg-config --cflags lua5.1 --silence-errors || pkg-config --cflags lua-5.1 --silence-errors || pkg-config --cflags lua) \
 		  $(shell apr-1-config --cflags --cppflags --includes 2>/dev/null || pkg-config --cflags apr-1) \
 		  $(shell apu-1-config --includes 2>/dev/null || pkg-config --cflags apr-util-1)
 LFLAGS += $(shell apr-1-config --link-ld --libs 2>/dev/null || pkg-config --libs apr-1) \
@@ -138,11 +138,11 @@
 
 # Run the test suite.
 test: $(BINARY_MODULE)
-	export LD_PRELOAD=/lib/libSegFault.so; lua -lapr.test
+	export LD_PRELOAD=/lib/libSegFault.so; lua -e "require 'apr.test' ()"
 
 # Run the test suite under Valgrind to detect and analyze errors.
 valgrind:
-	valgrind -q --track-origins=yes --leak-check=full lua -lapr.test
+	valgrind -q --track-origins=yes --leak-check=full lua -e "require 'apr.test' ()"
 
 # Create or update test coverage report using "lcov".
 coverage:
@@ -166,47 +166,58 @@
 	luarocks install http://peterodding.com/code/lua/lxsh/downloads/lxsh-0.6.1-1.rockspec
 
 # Prepare a source ZIP archive and a Debian package 
-package: zip_package deb_package
+package: zip_package rockspec deb_package
 
 # Create a profiling build to run the test suite and generate documentation
-# including test coverage, then create a clean build without profiling.
+# including test coverage, then a clean build without profiling which we
+# can release.
 package_prerequisites:
-	make clean
-	make PROFILING=1
-	lua etc/buildbot.lua --local
-	make docs
-	make clean
-	make DO_RELEASE=1
+	@echo Collecting coverage statistics using profiling build
+	@make --no-print-directory clean
+	@export PROFILING=1; lua etc/buildbot.lua --local
+	@echo Generating documentation including coverage statistics
+	@make --no-print-directory docs
+	@make --no-print-directory clean
 
 # Prepare a source ZIP archive from which Lua/APR can be build.
 zip_package: package_prerequisites
-	rm -f $(PACKAGE).zip
-	mkdir -p $(PACKAGE)/doc
-	cp docs.html $(PACKAGE)/doc/apr.html
-	lua etc/wrap.lua < README.md > $(PACKAGE)/doc/readme.html
-	lua etc/wrap.lua < NOTES.md > $(PACKAGE)/doc/notes.html
-	lua etc/wrap.lua < TODO.md > $(PACKAGE)/doc/todo.html
-	mkdir -p $(PACKAGE)/etc
-	cp -a etc/buildbot.lua etc/docs.lua etc/errors.lua etc/wrap.lua $(PACKAGE)/etc
-	mkdir -p $(PACKAGE)/benchmarks
-	cp -a benchmarks/* $(PACKAGE)/benchmarks
-	mkdir -p $(PACKAGE)/examples
-	cp -a examples/*.lua $(PACKAGE)/examples
-	mkdir -p $(PACKAGE)/src
-	cp -a src/lua_apr.h $(SOURCES) $(SOURCE_MODULE) $(PACKAGE)/src
-	mkdir -p $(PACKAGE)/test
-	cp -a test/*.lua $(PACKAGE)/test
-	cp Makefile Makefile.win make.cmd README.md NOTES.md TODO.md $(PACKAGE)
-	zip $(PACKAGE).zip -r $(PACKAGE)
-	rm -R $(PACKAGE)
-	@echo 'MD5 sum for LuaRocks:'
-	md5sum $(PACKAGE).zip
+	@rm -f $(PACKAGE).zip
+	@mkdir -p $(PACKAGE)/doc
+	@cp docs.html $(PACKAGE)/doc/apr.html
+	@lua etc/wrap.lua < README.md > $(PACKAGE)/doc/readme.html
+	@lua etc/wrap.lua < NOTES.md > $(PACKAGE)/doc/notes.html
+	@lua etc/wrap.lua < TODO.md > $(PACKAGE)/doc/todo.html
+	@mkdir -p $(PACKAGE)/etc
+	@cp -a etc/buildbot.lua etc/docs.lua etc/errors.lua etc/wrap.lua $(PACKAGE)/etc
+	@mkdir -p $(PACKAGE)/benchmarks
+	@cp -a benchmarks/* $(PACKAGE)/benchmarks
+	@mkdir -p $(PACKAGE)/examples
+	@cp -a examples/*.lua $(PACKAGE)/examples
+	@mkdir -p $(PACKAGE)/src
+	@cp -a src/lua_apr.h $(SOURCES) $(SOURCE_MODULE) $(PACKAGE)/src
+	@mkdir -p $(PACKAGE)/test
+	@cp -a test/*.lua $(PACKAGE)/test
+	@cp Makefile Makefile.win make.cmd README.md NOTES.md TODO.md $(PACKAGE)
+	@zip $(PACKAGE).zip -qr $(PACKAGE)
+	@echo Generated $(PACKAGE).zip
+	@rm -R $(PACKAGE)
+
+# Prepare a LuaRocks rockspec for the current release.
+rockspec: zip_package
+	@cat etc/template.rockspec \
+		| sed "s/{{VERSION}}/$(VERSION)-$(RELEASE)/g" \
+		| sed "s/{{DATE}}/`export LANG=; date '+%B %d, %Y'`/" \
+		| sed "s/{{HASH}}/`md5sum $(PACKAGE).zip | cut '-d ' -f1 `/" \
+		> lua-apr-$(VERSION)-$(RELEASE).rockspec
+	@echo Generated $(PACKAGE).rockspec
 
 # Create a Debian package using "checkinstall".
 deb_package: package_prerequisites
 	@echo "Lua/APR is a binding to the Apache Portable Runtime (APR) library." > description-pak
 	@echo "APR powers software such as the Apache webserver and Subversion and" >> description-pak
 	@echo "Lua/APR makes the APR operating system interfaces available to Lua." >> description-pak
+	@make --no-print-directory clean
+	@make --no-print-directory DO_RELEASE=1
 	checkinstall \
 		--default \
 		--backup=no \
@@ -223,12 +234,12 @@
 
 # Clean generated files from working directory.
 clean:
-	rm -Rf $(BINARY_MODULE) $(OBJECTS) etc/coverage
-	rm -f $(APREQ_BINARY)
-	if which lcov; then lcov -z -d .; fi
-	rm -f src/*.gcov src/*.gcno
+	@rm -Rf $(BINARY_MODULE) $(OBJECTS) etc/coverage
+	@rm -f $(APREQ_BINARY)
+	@lcov -q -z -d . || true
+	@rm -f src/*.gcov src/*.gcno
 
 .PHONY: install uninstall test valgrind coverage docs install_deps package \
-	package_prerequisites zip_package deb_package deb_repo clean
+	package_prerequisites zip_package rockspec deb_package clean
 
 # vim: ts=4 sw=4 noet
