=== debian/changelog ===
lua-apr (0.18.2-1) unstable; urgency=low

  * new upstream release
  * new patch to ease running tests

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 17 Jun 2011 16:34:53 +0200
