=== debian/changelog ===
lua-apr (0.18.2.1-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 19 Jun 2011 15:37:12 +0200
