=== debian/changelog ===
lua-apr (0.19.1.1-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 24 Jun 2011 11:13:10 +0200
