=== debian/changelog ===
lua-apr (0.19.8.1-2) unstable; urgency=low

  * multi-arch compliant (lua5.1-policy >= 32 and dh >= 8.1.3)
  * update standards-version to 3.9.2, no changes

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 22:09:58 +0200

lua-apr (0.19.8.1-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 02 Jul 2011 12:36:36 +0200

lua-apr (0.19.6.1-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 01 Jul 2011 21:38:26 +0200
