=== debian/control ===
--- 
+++ 
@@ -2,20 +2,24 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), lua5.1-policy-dev (>= 29), libapr1-dev, libaprutil1-dev, lua5.1, libaprutil1-dbd-sqlite3, libapreq2-dev
-Standards-Version: 3.9.1
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 8.1.3), lua5.1-policy-dev (>= 32), libapr1-dev, libaprutil1-dev, lua5.1, libaprutil1-dbd-sqlite3, libapreq2-dev
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-expat
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-expat
 Homepage: http://peterodding.com/code/lua/apr/
 
 Package: liblua5.1-apr1
 Architecture: any
+Multi-Arch: same
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}
 Description: Apache Portable Runtime library for the Lua language version 5.1
  This package contains the bindings for the Apache Portable Runtime library.
 
 Package: liblua5.1-apr-dev
 Architecture: any
+Multi-Arch: same
+Pre-Depends: multiarch-support
 Depends: liblua5.1-apr1 (= ${binary:Version})
 Section: libdevel
 Description: Lua development files for the Apache Portable Runtime library
