=== debian/changelog ===
lua-apr (0.20.1-1) unstable; urgency=low

  * new upstream release
  * updated copyright file, mentioning that src/ldap.c is copyright
    by the kepler project 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 14 Aug 2011 19:45:39 +0200
