## lua-apr 0.23.2

=== debian/changelog ===
lua-apr (0.23.2-1) unstable; urgency=low

  * New upstream release
  * Switch to dh-lua
  * Packages renamed to conform to the new Lua policy
  * debian/compat set to 7 
  * Update copyright file format
  * Standards-Version set to 3.9.3, no changes needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 02 Apr 2012 20:26:53 +0200
