=== debian/control ===
Source: lua-apr
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 11), libapr1-dev, libaprutil1-dev, libaprutil1-dbd-sqlite3, libapreq2-dev
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-expat
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-expat
Homepage: http://peterodding.com/code/lua/apr/

Package: lua-apr
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblua5.1-apr1 (<< 0.23.2-1~)
Breaks: liblua5.1-apr1 (<< 0.23.2-1~)
Provides: liblua5.1-apr1, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Apache Portable Runtime library for the Lua language
 This package contains the bindings for the Apache Portable Runtime library.

Package: lua-apr-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: lua-apr (= ${binary:Version}), ${misc:Depends}
Replaces: liblua5.1-apr-dev (<< 0.23.2-1~)
Breaks: liblua5.1-apr-dev (<< 0.23.2-1~)
Provides: liblua5.1-apr-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Section: libdevel
Description: Lua development files for the Apache Portable Runtime library
 This package contains the development files of the Apache Portable Runtime
 library bindings, useful to create a statically linked binary (like a
 C application or a standalone Lua interpreter).  
 Documentation is also shipped within this package.

Package: liblua5.1-apr1
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-apr
Description: Transitional package for lua-apr
 This is a transitional package to ease upgrades to the lua-apr
 package. It can safely be removed.

Package: liblua5.1-apr-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-apr-dev
Description: Transitional package for lua-apr-dev
 This is a transitional package to ease upgrades to the lua-apr-dev
 package. It can safely be removed.
