=== debian/rules ===
#!/usr/bin/make -f

# pre-build::
# 	make -f Makefile src/errno.c

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	ln -sf src/apr.lua apr.lua
	mkdir -p apr
	ln -sf ../src/serialize.lua apr/
	ln -sf ../test apr/
	dh_auto_configure
override_dh_auto_clean:
	rm -rf apr apr.lua
	dh_auto_clean
override_dh_auto_test:
	DH_LUA_OPTS="skip-test-app-static" dh_auto_test
